import os
from Products.CMFCore.CMFCorePermissions import AddPortalContent

ADD_CONTENT_PERMISSION = AddPortalContent
PROJECTNAME = "CMFBibliographyAT"
SKINS_DIR = 'skins'

GLOBALS = globals()

ENTRY_TYPES = 'bibtex_types'

FOLDER_TYPES = ('BibliographyFolder',
                'LargeBibliographyFolder',
                )

PREPRINT_SERVERS = ('None:',
                    'arXiv:http://arxiv.org',
                    'CogPrints:http://cogprints.ecs.soton.ac.uk/',
                    )

## Old way to define possible bibliographical content types
#types = os.listdir(os.path.dirname(__file__)+'/'+ ENTRY_TYPES)
#types = [type[:-3] for type in types \
#          if (type.endswith('.py') \
#              and not type.startswith('__'))]
#REFERENCE_TYPES = tuple(types)

## New way (since product reorganization)
REFERENCE_TYPES = (
    'ArticleReference', 
    'BookletReference', 
    'BookReference', 
    'InbookReference', 
    'IncollectionReference', 
    'InproceedingsReference', 
    'ManualReference', 
    'MastersthesisReference', 
    'MiscReference', 
    'PhdthesisReference', 
    'PreprintReference', 
    'ProceedingsReference', 
    'TechreportReference', 
    'UnpublishedReference', 
    'WebpublishedReference',
    )
